<div class="backdrop"></div>

<div class="container">

  <div class="modal">

    <div class="header-container">

      <h1>{{'authorize' | translate}}</h1>

      <p *ngIf="error" class="auth-error">
        {{error | translate}}
      </p>

    </div>

    <div class="control-container">
      <div class="control">
        <p>{{'userName' | translate}}:</p>
        <input [(ngModel)]="userName" type="text"/>
      </div>
      <div class="control">
        <p>{{'password' | translate}}:</p>
        <input [(ngModel)]="password" type="password"/>
      </div>
    </div>

    <div class="button-container">
      <button
        (click)="close()"
        class="btn close">
        X
      </button>
      <button
        [disabled]="!password || !userName"
        (click)="login()"
        class="btn">
        {{'login' | translate}}
      </button>
    </div>

  </div>

</div>
